NAND_SCAN(9)

NAME
nand_scan - [NAND Interface] Scan for the NAND device

SYNOPSIS

int nand_scan (struct mtd_info * mtd, int maxchips);

ARGUMENTS

mtd MTD device structure

maxchips
    Number of chips to scan for

DESCRIPTION

This fills out all the not initialized function pointers with the defaults. The flash ID is read and the mtd/chip structures are filled with the appropriate values. Buffers are allocated if they are not provided by the board driver

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.